Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Member Functions | Public Attributes | List of all members
cutlass::gemm::GlobalLoadStream< Operand, LoadIterator_, StoreIterator_, Transformer_ >::Params Struct Reference

The params.

`#include <gemm_global_stream.h>`

## Public Member Functions
CUTLASS_HOST_DEVICE int | initialize (Pointer pointer, LongIndex batch_stride_, Index ldm, Index offset_to_residue_, Index offset_to_residue_last_partition_)
| Setup the params. More...
CUTLASS_DEVICE Index | get_offset_to_residue ()

## Public Attributes
LoadIterator::Params | load_iterator
LongIndex | batch_stride
| Batch stride in global memory. More...
StoreIterator::Params | store_iterator
Index | offset_to_residue
Index | offset_to_residue_last_partition

## Member Function Documentation

## ◆ get_offset_to_residue()

template<GemmOperand::Kind Operand, typename LoadIterator_ , typename StoreIterator_ , typename Transformer_ >

CUTLASS_DEVICE Index cutlass::gemm::GlobalLoadStream< Operand, LoadIterator_, StoreIterator_, Transformer_ >::Params::get_offset_to_residue | ( |  | ) |
| inline

## ◆ initialize()

template<GemmOperand::Kind Operand, typename LoadIterator_ , typename StoreIterator_ , typename Transformer_ >

CUTLASS_HOST_DEVICE int cutlass::gemm::GlobalLoadStream< Operand, LoadIterator_, StoreIterator_, Transformer_ >::Params::initialize | ( | Pointer | pointer,
|  | LongIndex | batch_stride_,
|  | Index | ldm,
|  | Index | offset_to_residue_,
|  | Index | offset_to_residue_last_partition_
| ) |  |
| inline

## Member Data Documentation

## ◆ batch_stride

template<GemmOperand::Kind Operand, typename LoadIterator_ , typename StoreIterator_ , typename Transformer_ >

LongIndex cutlass::gemm::GlobalLoadStream< Operand, LoadIterator_, StoreIterator_, Transformer_ >::Params::batch_stride

## ◆ load_iterator

template<GemmOperand::Kind Operand, typename LoadIterator_ , typename StoreIterator_ , typename Transformer_ >

LoadIterator::Params cutlass::gemm::GlobalLoadStream< Operand, LoadIterator_, StoreIterator_, Transformer_ >::Params::load_iterator

## ◆ offset_to_residue

template<GemmOperand::Kind Operand, typename LoadIterator_ , typename StoreIterator_ , typename Transformer_ >

Index cutlass::gemm::GlobalLoadStream< Operand, LoadIterator_, StoreIterator_, Transformer_ >::Params::offset_to_residue

## ◆ offset_to_residue_last_partition

template<GemmOperand::Kind Operand, typename LoadIterator_ , typename StoreIterator_ , typename Transformer_ >

Index cutlass::gemm::GlobalLoadStream< Operand, LoadIterator_, StoreIterator_, Transformer_ >::Params::offset_to_residue_last_partition

## ◆ store_iterator

template<GemmOperand::Kind Operand, typename LoadIterator_ , typename StoreIterator_ , typename Transformer_ >

StoreIterator::Params cutlass::gemm::GlobalLoadStream< Operand, LoadIterator_, StoreIterator_, Transformer_ >::Params::store_iterator

The documentation for this struct was generated from the following file:

- gemm_global_stream.h